library verilog;
use verilog.vl_types.all;
entity Rising_Edge_Det is
    port(
        En_400KHz_P     : out    vl_logic_vector(0 downto 0);
        En_400KHz       : in     vl_logic;
        clk             : in     vl_logic;
        GlobalReset     : in     vl_logic;
        GlobalEnable1   : in     vl_logic
    );
end Rising_Edge_Det;
